# DESCRIBE USER

## Syntax <a href="#synopsis" id="synopsis"></a>

```sql
DESCRIBE USER 'email_address';
```

## Description <a href="#description" id="description"></a>

Describe a [Access Control](/overview/core-concepts/access-control.md#_user) and their information, including name, email, and granted [Access Control](/overview/core-concepts/access-control.md#_role)s.

### Arguments <a href="#parameters" id="parameters"></a>

#### email\_address

The email address associated with the user.

## Examples <a href="#example" id="example"></a>

#### Describe user

```shell
<no-db>/<no-store># DESCRIBE USER 'someone@somewhere.com';
+------------+-------------+------------+-------------------------------+-------------------------------+
|  Role Name |  Granted By |  Inherited |  Updated At                   |  Created At                   |
+============+=============+============+===============================+===============================+
| orgadmin   | orgadmin    | false      | 2023-09-19 16:17:03 +0000 UTC | 2023-09-19 16:17:03 +0000 UTC |
+------------+-------------+------------+-------------------------------+-------------------------------+
| public     | orgadmin    | true       | 2023-09-19 16:17:03 +0000 UTC | 2023-09-19 16:17:03 +0000 UTC |
+------------+-------------+------------+-------------------------------+-------------------------------+
| securityad | orgadmin    | true       | 2023-09-19 16:17:03 +0000 UTC | 2023-09-19 16:17:03 +0000 UTC |
| min        |             |            |                               |                               |
+------------+-------------+------------+-------------------------------+-------------------------------+
| sysadmin   | orgadmin    | true       | 2023-09-19 16:17:03 +0000 UTC | 2023-09-19 16:17:03 +0000 UTC |
+------------+-------------+------------+-------------------------------+-------------------------------+
| useradmin  | orgadmin    | true       | 2023-09-19 16:17:03 +0000 UTC | 2023-09-19 16:17:03 +0000 UTC |
+------------+-------------+------------+-------------------------------+-------------------------------+
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/command/describe-user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
